Skip to main content
Version: 4.0.4

Get user activities

POST 

/activity-streams-srv/user-activities

The User Activities API tracks the customer activities (e.g., type and time of activity, devices, and location details) done in the cidaas system. The user activities API can filter based on the sub, objectType, objectId, eventType, clientId, deviceId, dateFilter, sort order, etc.

NOTE: We only track the activities of active customers.

Permissions for different users​

admin-ui

A customer (admin user) must be a part of CIDAAS_ADMINS group; must have either ADMIN or SECONDARY_ADMIN roles to access the resources (other customer activities, including self).

user-ui

A customer (normal user) sub must match with the token sub to access the resources (only self activities).

group admin-ui

When requesting activities for another user (sub in request body is different from the access token sub), both of the following conditions must be fulfilled:

Request​

Responses​

success